package cn.iocoder.yudao.module.hrm.enums;


import cn.iocoder.yudao.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    ErrorCode CUSTOMER_NOT_EXISTS = new ErrorCode(200000, "客户不存在");
    ErrorCode CUSTOMER_CONTACTS_NOT_EXISTS = new ErrorCode(200001, "联系人不存在");
    ErrorCode RECORD_NOT_EXISTS = new ErrorCode(200002, "跟进记录不存在");
    ErrorCode BUSINESS_NOT_EXISTS = new ErrorCode(200003, "商机不存在");
    ErrorCode CLUES_NOT_EXISTS = new ErrorCode(200004, "线索不存在");
    ErrorCode CONTRACT_NOT_EXISTS = new ErrorCode(200005, "合同不存在");
    ErrorCode FLOW_NOT_EXISTS = new ErrorCode(200006, "审批流程不存在");
    ErrorCode CONTRACT_RECEIVABLES_NOT_EXISTS = new ErrorCode(200007, "回款不存在");
    ErrorCode INVOICE_NOT_EXISTS = new ErrorCode(200008, "发票不存在");
    ErrorCode ACHIEVEMENT_NOT_EXISTS = new ErrorCode(200009, "业绩目标不存在");
    ErrorCode NOT_EDITABLE_UNTIL_SALES_TARGET_HAS_BEEN_APPLIED = new ErrorCode(200010, "未申请销售目标前不可编辑");
    ErrorCode THIS_CUSTOMER_ALREADY_EXISTS_IN_THE_SYSTEM_AND_CANNOT_BE_ENTERED_REPEATEDLY = new ErrorCode(200011, "系统已存在该客户,不可重复录入");
    ErrorCode THIS_CUSTOMER_ALREADY_EXISTS_IN_THE_SYSTEM_DO_YOU_WANT_TO_CONTINUE_ADDING = new ErrorCode(200012, "系统已存在该客户,是否继续添加");

}
